Bug 58998 - duplicated sections
Summary: duplicated sections
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.0.0.beta2
Hardware: Other All
: medium critical
Assignee: Caolán McNamara
QA Contact:
URL:
Whiteboard: target:4.1.0 target:4.0.0.2
Keywords: regression
Depends on:
Blocks: mab4.0
  Show dependency treegraph
 
Reported: 2013-01-03 21:32 UTC by Jean-Baptiste Faure
Modified: 2013-01-17 09:58 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Baptiste Faure 2013-01-03 21:32:29 UTC
Inserting a section, inserts 2 sections with the same name.

Step to reproduce:
1/ open a new blank text document
2/ menu Insert > Section > OK
3/ menu Format > Section -> you can see 2 sections named Section1

Other way to reproduce:
1b/ open a new blank text document
2b/ type dt+F3 (autotext Dummy text)
3b/ select the text
4b/ menu insert > Section > OK
5b/ menu Format > Section -> you can see two embedded sections both named Section1.

Confirmed under MS-Windows-7 with LO 4.0.0.O.beta2 and Ubuntu 12.04 x86-64 with LO 4.0.0.0.beta2+ (Build ID: dfdbf14006d4baf822f399821dfb9d5412f8ab9)

Best regards. JBF

Best regards. JBF
Comment 1 royerjy 2013-01-03 21:45:53 UTC
Confirmed under Windows XP SP3 with LO 4.0.0.O.beta2.
Comment 2 Jean-Baptiste Faure 2013-01-03 21:50:26 UTC
Set to NEW according to comment #1.
Comment 3 László Németh 2013-01-10 22:07:57 UTC
In my tests, this problem results broken conditional content: hiding sections doesn't work, but this function is critical for template management of public administrations (like Munich) and other organizations.
Comment 4 Caolán McNamara 2013-01-16 21:24:22 UTC
OK gets called twice, my mistake from non-restarting-dialog-apply fix attempt I bet
Comment 5 Not Assigned 2013-01-16 23:46:14 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8fd85527981e3a6a915192aaea6f1595ea9f037c

Resolves: fdo#58998 insert section applied twice



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Caolán McNamara 2013-01-16 23:52:51 UTC
fixed in master, patch for 4-0 proposed as https://gerrit.libreoffice.org/#/c/1729/
Comment 7 Not Assigned 2013-01-17 09:58:09 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=573e3b1aa208ffed6d5ca22698f1fe4c271e3c8e&h=libreoffice-4-0

Resolves: fdo#58998 insert section applied twice


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.